> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capout.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sse Status

> SSE endpoint for streaming one or more documents' status updates.

Requires a valid realtime ``token`` query param plus either one or more
`document_id` values, or `recent=10`.



## OpenAPI

````yaml /openapi.json get /sse/status
openapi: 3.1.0
info:
  title: Capout API
  description: >-
    Programmatic REST, WebSocket, and SSE API for uploading documents, tracking
    processing status, and reading claim balances.
  version: 1.0.0
servers:
  - url: https://api.capout.ai
    description: Public API
security: []
paths:
  /sse/status:
    get:
      tags:
        - SSE
      summary: Sse Status
      description: |-
        SSE endpoint for streaming one or more documents' status updates.

        Requires a valid realtime ``token`` query param plus either one or more
        `document_id` values, or `recent=10`.
      operationId: sse_status_sse_status_get
      parameters:
        - name: token
          in: query
          required: true
          schema:
            type: string
            description: DB-backed realtime token returned by POST /ws/token
            title: Token
          description: DB-backed realtime token returned by POST /ws/token
        - name: document_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
            title: Document Id
        - name: recent
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Recent
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````